Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
[Java] Class Exec

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.Exec

All Implemented Interfaces:
  ExecSpec

    public class Exec
    extends ConventionTask

A task for executing a command line process.

Authors:
  Hans Dockter

Constructor Summary
`Exec()`

Method Summary
`Exec` | `args(java.lang.Object args)` {@inheritDoc}
`ExecSpec` | `args(java.lang.Iterable args)` {@inheritDoc}
`Exec` | `commandLine(java.lang.Object arguments)` {@inheritDoc}
`ExecSpec` | `commandLine(java.lang.Iterable args)` {@inheritDoc}
`Exec` | `copyTo(ProcessForkOptions target)` {@inheritDoc}
`Exec` | `environment(java.lang.String name, java.lang.Object value)` {@inheritDoc}
`Exec` | `environment(java.util.Map environmentVariables)` {@inheritDoc}
`Exec` | `executable(java.lang.Object executable)` {@inheritDoc}
`java.util.List` | `getArgs()` {@inheritDoc}
`java.util.List` | `getCommandLine()` {@inheritDoc}
`java.util.Map` | `getEnvironment()` {@inheritDoc}
`ExecResult` | `getExecResult()` Returns the ExecResult object for the command run by this task.
`java.lang.String` | `getExecutable()` {@inheritDoc}
`java.io.InputStream` | `getStandardInput()` {@inheritDoc}
`java.io.File` | `getWorkingDir()` {@inheritDoc}
`boolean` | `isIgnoreExitValue()` {@inheritDoc}
`Exec` | `setArgs(java.lang.Iterable arguments)` {@inheritDoc}
`void` | `setEnvironment(java.util.Map environmentVariables)` {@inheritDoc}
`Exec` | `setErrorOutput(java.io.OutputStream outputStream)` {@inheritDoc}
`void` | `setExecutable(java.lang.Object executable)` {@inheritDoc}
`ExecSpec` | `setIgnoreExitValue(boolean ignoreExitValue)` {@inheritDoc}
`Exec` | `setStandardInput(java.io.InputStream inputStream)` {@inheritDoc}
`Exec` | `setStandardOutput(java.io.OutputStream outputStream)` {@inheritDoc}
`void` | `setWorkingDir(java.lang.Object dir)` {@inheritDoc}
`Exec` | `workingDir(java.lang.Object dir)` {@inheritDoc}

Constructor Detail

### Exec

    public Exec()

Method Detail

### args

    public Exec args(java.lang.Object args)

  {@inheritDoc}

### args

    public ExecSpec args(java.lang.Iterable args)

  {@inheritDoc}

### commandLine

    public Exec commandLine(java.lang.Object arguments)

  {@inheritDoc}

### commandLine

    public ExecSpec commandLine(java.lang.Iterable args)

  {@inheritDoc}

### copyTo

    public Exec copyTo(ProcessForkOptions target)

  {@inheritDoc}

### environment

    public Exec environment(java.lang.String name, java.lang.Object value)

  {@inheritDoc}

### environment

    public Exec environment(java.util.Map environmentVariables)

  {@inheritDoc}

### executable

    public Exec executable(java.lang.Object executable)

  {@inheritDoc}

### getArgs

    public java.util.List getArgs()

  {@inheritDoc}

### getCommandLine

    public java.util.List getCommandLine()

  {@inheritDoc}

### getEnvironment

    public java.util.Map getEnvironment()

  {@inheritDoc}

### getExecResult

    public ExecResult getExecResult()

  Returns the ExecResult object for the command run by this task. Returns null if the task has not been executed yet.

### getExecutable

    public java.lang.String getExecutable()

  {@inheritDoc}

### getStandardInput

    public java.io.InputStream getStandardInput()

  {@inheritDoc}

### getWorkingDir

    public java.io.File getWorkingDir()

  {@inheritDoc}

### isIgnoreExitValue

    public boolean isIgnoreExitValue()

  {@inheritDoc}

### setArgs

    public Exec setArgs(java.lang.Iterable arguments)

  {@inheritDoc}

### setEnvironment

    public void setEnvironment(java.util.Map environmentVariables)

  {@inheritDoc}

### setErrorOutput

    public Exec setErrorOutput(java.io.OutputStream outputStream)

  {@inheritDoc}

### setExecutable

    public void setExecutable(java.lang.Object executable)

  {@inheritDoc}

### setIgnoreExitValue

    public ExecSpec setIgnoreExitValue(boolean ignoreExitValue)

  {@inheritDoc}

### setStandardInput

    public Exec setStandardInput(java.io.InputStream inputStream)

  {@inheritDoc}

### setStandardOutput

    public Exec setStandardOutput(java.io.OutputStream outputStream)

  {@inheritDoc}

### setWorkingDir

    public void setWorkingDir(java.lang.Object dir)

  {@inheritDoc}

### workingDir

    public Exec workingDir(java.lang.Object dir)

  {@inheritDoc}

Groovy Documentation